Bug 1135861 - group erase libreoffice fails, package requires but none of the providers can be installed
Summary: group erase libreoffice fails, package requires but none of the providers can...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 21
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-01 04:48 UTC by Chris Murphy
Modified: 2015-10-13 06:53 UTC (History)
4 users (show)

Fixed In Version: dnf-0.6.2 dnf-0.6.4-7.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 06:53:03 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata.tar (4.85 MB, application/octet-stream)
2014-09-01 04:48 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-09-01 04:48:56 UTC
Created attachment 933231 [details]
debugdata.tar

Description of problem: group install libreoffice works, but group erase libreoffice fails


Version-Release number of selected component (if applicable):
dnf-0.6.1-1.fc21.noarch
hawkey-0.5.0-2.fc21.x86_64

How reproducible:
Always


Steps to Reproduce:
1. dnf group install libreoffice
2. dnf group erase libreoffice


Actual results:

Error: package libreoffice-pdfimport-1:4.3.1.1-8.fc21.x86_64 requires libreoffice-draw = 1:4.3.1.1-8.fc21, but none of the providers can be installed

Expected results:

It should uninstall everything that was installed.

Additional info:

Comment 1 Honza Silhan 2014-09-01 10:47:04 UTC
Hi, thanks for the report. Reproduced. DNF uninstalls smaller set of packages that doesn't contain libreoffice-pdfimport. You can force dnf to uninstall it by adding --allowerasing but this is still a legit bug. We'll take a look.

Comment 2 Ales Kozumplik 2014-09-08 12:23:39 UTC
looking.

Comment 3 Ales Kozumplik 2014-09-08 13:04:27 UTC
Fixed by e07224b.

Comment 5 Fedora Update System 2014-10-05 17:42:03 UTC
dnf-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.2-1.fc21

Comment 6 Fedora Update System 2014-10-06 05:03:40 UTC
Package dnf-0.6.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12254/dnf-0.6.2-1.fc21
then log in and leave karma (feedback).

Comment 7 Honza Silhan 2015-07-20 11:12:26 UTC
wasn't properly closed by Fedora Update System.

Comment 8 Fedora Update System 2015-08-28 18:53:41 UTC
dnf-0.6.4-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14323

Comment 9 Fedora Update System 2015-09-29 11:19:32 UTC
dnf-0.6.4-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b

Comment 10 Fedora Update System 2015-10-02 18:52:24 UTC
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b

Comment 11 Fedora Update System 2015-10-13 06:52:22 UTC
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.